Author Topic: Best wxWidgets version to use  (Read 4155 times)

Anonymous

  • Guest
Best wxWidgets version to use
« on: January 19, 2005, 03:28:17 pm »
After trying various versions of wxWidgets (2.4.2, 2.5.3-GTK1, 2.5.3-GTK2, CVS, ...) I was wondering what version of wxWidgets people had the best luck compiling Code::Blocks with.
In my own experience on 2.5.3-GTK2, I had a problem with the code which hid the splash screen crashing Code::Blocks.  I added show_splash=0 to the config file.  Then the GTK OnIdle block was causing a crash.  It turned out that a fix in gtk/mdi.cpp was needed from wxWidgets CVS (versions 1.65 and 1.65.2.1 if anyone is interested).

Code::Blocks is great and I really want to use it for my future projects, but first I need to figure out how to maximize the stability on my system.

Thanks for any feedback!

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Best wxWidgets version to use
« Reply #1 on: January 19, 2005, 05:58:04 pm »
I build codeblocks using wxWidgets CVS version monolithic library. It's working fine with it but only with gtk2. Gtk1 segfaults...
As far as the splashscreen crash, I had it once. I can't remember exactly what was the problem, but IIRC it would crash when loading PNG images (all images/icons used in codeblocks are PNG). I can't remember though if I used the system-wide latest libpng or the wxWidgets built-in PNG support...
So, when you configure wxWidgets, if it is configured with built-in PNG support, disable it. If not, enable it.
Doh, I can't remember which one is correct...

I 'll check it out later and post it here.

Yiannis.
Be patient!
This bug will be fixed soon...